#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 stm-containers
version:              1.2.0.3
visibility:           public
id:                   stm-containers-1.2.0.3-64OkcyQAx362dW52LyAcBl
key:                  stm-containers-1.2.0.3-64OkcyQAx362dW52LyAcBl
license:              MIT
copyright:            (c) 2014, Nikita Volkov
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/stm-containers
synopsis:             Containers for STM
description:
    This library is based on an STM-specialized implementation of
    Hash Array Mapped Trie.
    It provides efficient implementations of @Map@, @Set@
    and other data structures,
    which starting from version @1@ perform even better than their counterparts from \"unordered-containers\",
    but also scale well on concurrent access patterns.
    .
    For details on performance of the library, which are a bit outdated, see
    <http://nikita-volkov.github.io/stm-containers/ this blog post>.

category:             Data Structures, STM, Concurrency
abi:                  179aed4c7b03b3a02f380bfe451fd1e8
exposed:              True
exposed-modules:
    StmContainers.Bimap StmContainers.Map StmContainers.Multimap
    StmContainers.Set

hidden-modules:       StmContainers.Prelude
import-dirs:          /usr/lib/ghc-9.2.8/site-local/stm-containers-1.2.0.3
library-dirs:         /usr/lib/ghc-9.2.8/site-local/stm-containers-1.2.0.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-stm-containers
hs-libraries:         HSstm-containers-1.2.0.3-64OkcyQAx362dW52LyAcBl
depends:
    base-4.16.4.0 deferred-folds-0.9.18.6-H7g7NI32srpH7gmGvSO3FT
    focus-1.0.3.2-K5FxIuwyT8IAD9cue4Q8sA
    hashable-1.4.3.0-CcD3sjCyxJjIKHS9bT8WC1
    list-t-1.0.5.4-GkXdRFQIeMCADrPcM42KMB
    stm-hamt-1.2.0.14-G3vZ8V5qnb36uZ4ODfEXm1 transformers-0.5.6.2

haddock-interfaces:
    /usr/share/doc/haskell-stm-containers/html/stm-containers.haddock

haddock-html:         /usr/share/doc/haskell-stm-containers/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

